import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 18.12.2011
  * @author
  */

public class quadglei extends JFrame {
  // Anfang Attribute
  private TextField textField1 = new TextField();
  private Label label1 = new Label();
  private Button button1 = new Button();
  private TextField textFieldRes = new TextField();
  private Label label3 = new Label();
  private TextField textField2 = new TextField();
  private Label label4 = new Label();
  private Label label5 = new Label();
  private TextField textField3 = new TextField();
  // Ende Attribute

  public quadglei(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 290; 
    int frameHeight = 269;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(false);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    textField1.setBounds(120, 56, 89, 25);
    textField1.setEditable(true);
    textField1.setText("4");
    cp.add(textField1);
    label1.setBounds(72, 56, 35, 25);
    label1.setText(" a :");
    cp.add(label1);
    button1.setBounds(72, 160, 137, 33);
    button1.setLabel("Lsung berechnen");
    button1.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        button1_ActionPerformed(evt);
      }
    });
    cp.add(button1);
    textFieldRes.setBounds(16, 208, 265, 25);
    textFieldRes.setEditable(false);
    cp.add(textFieldRes);
    label3.setBounds(72, 88, 35, 25);
    label3.setText(" b :");
    cp.add(label3);
    textField2.setBounds(120, 88, 89, 25);
    textField2.setText("6");
    cp.add(textField2);
    setTitle("Quadratische Gleichungen");
    label4.setBounds(16, 8, 254, 33);
    label4.setText("Lst Gleichungen der Form a*x+b*x+c = 0.");
    cp.add(label4);
    label5.setBounds(72, 120, 35, 27);
    label5.setText(" c : ");
    cp.add(label5);
    textField3.setBounds(120, 120, 89, 25);
    textField3.setText("7");
    cp.add(textField3);
    // Ende Komponenten

    setVisible(true);
  }

  // Anfang Methoden
  public void button1_ActionPerformed(ActionEvent evt) {
    /* Eingabe */
    double a = Double.parseDouble(textField1.getText());
    double b = Double.parseDouble(textField2.getText());
    double c = Double.parseDouble(textField3.getText());
    double x = 0;
    String res;
    
    /* Verarbeitung */
    if (a == 0) {
      if (b == 0) {
        if (c == 0) {
          res = "Unendlich viele Lsungen: ganz R!";
        } else {
          res = "Keine Lsung! ";
        }
      } else {
        res = "x = " + Double.toString(c/b);
      }
    } else {
      double d = b*b - 4*a*c;
      if (d == 0) {
        res = "x = " + Double.toString(-b / (2*a));
      } else {
        if (d > 0) {
          double x1 = (-b - Math.sqrt(d)) / (2*a);
          double x2 = (-b + Math.sqrt(d)) / (2*a);
          x1 = Math.rint(x1 * 1000) / 1000;
          x2 = Math.rint(x2 * 1000) / 1000;
          res = "x1 = " + Double.toString(x1) +
                "; x2 = " + Double.toString(x2);
        } else {
          res = "Keine Lsung!";
        }
      }
    }

    /* Ausgabe */
    textFieldRes.setText(res);
  }

  // Ende Methoden

  public static void main(String[] args) {
    new quadglei("input_test1");
  }
}
